Subject: [rbridge] Extensions

From: Radia.Perlman at sun.com ([email-masked])
Date: Wed, 29 Nov 2006 20:27:10 -0800

Clearly making the ability to add fields in the future in a compatible way gives flexibility. Having TLV
encoding in IS-IS has proven to be really valuable.

On the other hand, questions  that should be asked are:

a) why not? As in, what is the cost of doing this future flexibility?
b) what kinds of features might we imagine
c) is there any other way of adding features in the future in a compatible way?

I'll make a stab at some of these
a) Why not?
Perhaps complexity of forwarding decision, or perceived complexity of the protocol that might discourage adoption.
If all the fields necessary for current functionality are in the fixed portion of the shim, and RBridges that don't
do the feature can ignore it, then that would not be a problem. But for instance, if they have to look at the inner
header to find the VLAN tag (in order to know whether to filter a multicast), or the inner destination address (for
IP derived multicast -- though maybe it's the layer 3 destination address that matters...not sure), then having
a variable length shim header could be a cost
b) features: LIDs ... any others?
c) not sure

Radia

----- Original Message -----
From: Eastlake III Donald-LDE008 <Donald.Eastlake at motorola.com>
Date: Wednesday, November 29, 2006 7:58 pm
Subject: [rbridge] Extensions

> Hi,
> 
> It is not so much that I think that TRILL needs any particular 
> extensionadded right now, it is just that if there is ever a reason 
> to add an
> extension, it would be good for the extension framework to have been
> decided in advance. The presentation that I didn't have time to 
> make at
> the TRILL WG meeting in San Diego has now been converted from MS Power
> Point and is on the Working Group agendas and presentations web 
> page for
> the 67th IETF meeting in HTML and is also available at
> http://www.pothole.com/~dee3 in PDF.
> 
> Donald
> 
> -----Original Message-----
> From: rbridge-bounces at postel.org [rbridge-bounces at postel.org] On
> Behalf Of Radia Perlman
> Sent: Monday, November 13, 2006 8:01 PM
> Cc: rbridge at postel.org
> Subject: Re: [rbridge] Should we optimize the common case?
> 
> ......
> 
> Another thing we haven't talked about on the list (and ran out of time
> at the meeting), is Don Eastlake's suggestion of allowing the shim
> header to be variable length, so that we can optionally put in thing
> like LIDs.
> 
> Radia
> 
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://mailman.postel.org/mailman/listinfo/rbridge
>